package com.motor.system.service;

import com.motor.common.core.domain.AjaxResult;
import com.motor.system.domain.req.LanEquipmentCallbackReq;
import com.motor.system.domain.req.TimeSynCallbackReq;
import com.motor.system.domain.vo.LanEquipmentVo;
import com.motor.system.domain.vo.LogPropertyVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface IStationMachineService {



    public List<LanEquipmentVo> lanEquipment();

    public String lanEquipmentCallback(LanEquipmentCallbackReq req);

    public String consistency(String consistency);

    public AjaxResult uploadExe(MultipartFile file) throws Exception;

    public String fileSearchEngine();

    public Set<String> selected();

    public LogPropertyVo logProperty(String logFilePath);

    public String timeSynCallback(TimeSynCallbackReq req);

    public Map<String,List<StringBuilder>> queryTimeSyn();

    String queryTimeSynJob();

    String equipmentMessageCallbackJob();
}
